/* fpuart.c */
extern void fpuart_int(void);
extern void FPuartISR(const DEVICE *dev);
extern BYTE InstallFPUART(const DEVICE *device, WORD cfg, WORD base);
extern void ShutdownFPUART(const DEVICE *device);
extern void RestoreFPUART(const DEVICE *dev);
extern BYTE ConfigureFPUART(const DEVICE *dev, BYTE txBaud, BYTE rxBaud, BYTE data, BYTE stop, BYTE parity, BYTE txhs, BYTE rxhs);
extern BYTE FPUARTTx(const DEVICE *dev, BYTE ch);
extern WORD FPUARTRx(const DEVICE *dev);
extern BYTE FPUARTTxEmpty(const DEVICE *dev);
extern BYTE FPUARTRxEmpty(const DEVICE *dev);
extern void FPUARTClearTx(const DEVICE *dev);
extern void FPUARTClearRx(const DEVICE *dev);
extern void FPUARTSetRouting(const DEVICE *dev, BYTE channel, BYTE route);
extern void fpuartcleartxint(REGFPUART *regs);
extern void fpuartclearrxint(REGFPUART *regs);
extern void fpuartenablerxint(FPUARTVARS *vars);
extern void fpuartenabletxint(FPUARTVARS *vars);
extern void fpuartdisablerxint(FPUARTVARS *vars);
extern void fpuartdisabletxint(FPUARTVARS *vars);
extern BYTE fpuartsetbaudrate(const DEVICE *dev, BYTE txbaud, BYTE rxbaud, BYTE *format);
extern BYTE fpuartsetword(const DEVICE *dev, BYTE databits, BYTE stopbits, BYTE parity, BYTE *format);
extern void setfpuartRTS(const DEVICE *dev);
extern void clearfpuartRTS(const DEVICE *dev);
extern BYTE statusfpuartCTS(const DEVICE *dev);
