/* ../../libs/hardware/pluto6/pic18.c */
extern const DEVICE PICDevice;
extern BYTE GetPIC18Time(const DEVICE *picdev, P18TIME *picrtctime);
extern BYTE GetPIC18TimeFine(const DEVICE *picdev, P18TIME *picrtctime);
extern BYTE GetPIC18Sig(const DEVICE *picdev, BYTE *sigarray);
extern BYTE SetPIC18Time(const DEVICE *picdev, const P18TIME *time);
extern BYTE GetPIC18Log(const DEVICE *picdev, BYTE logindex, P18TIME *picrtctime, BYTE *pwroffinput);
extern BYTE ClearPIC18Log(const DEVICE *picdev);
extern BYTE GetPIC18Percent(const DEVICE *picdev, BYTE *percentdata);
extern BYTE GetPIC18Stake(const DEVICE *picdev, BYTE *stakedata);
extern BYTE GetPIC18Dil1(const DEVICE *picdev, BYTE *dil1data);
extern BYTE GetPIC18Dil2(const DEVICE *picdev, BYTE *dil2data);
extern BYTE GetPIC18Revision(const DEVICE *picdev, BYTE *revisiondata);
extern void convertPIC18time(LONG pictime, P18TIME *time);
extern void reorder(BYTE *time);
