/*-------------------------------------------------------------------
Name......... rs485.h
Author....... Marc Adams
Date......... 08/09/03
Description.. Header file for the RS485 driver
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef HARDWARE_RS485
#define HARDWARE_RS485

/****   Defines */
#define RS485_BIT   0x80


/****   Prototypes */

#include    "rs485.p"

#endif
/*************************************************************************/
